:root {
    --font-family: 'Inter', sans-serif;
    --text-color: #333;
    --text-color-rgb: 51,51,51;
}

*,
*:before,
*:after {
    box-sizing: border-box;
}
body {
    background: #fff;
}

.container {
    width: 90%;
    max-width: 75rem;
    margin: 0 auto;
    background-color: rgba(252,251,239,0.2);
    padding: 24px;
    border-radius: 16px;
    border: 1px solid var(--text-color);
}
.container>form > *{
    font-family: var(--font-family);
    color: var(--text-color);
}
.container>form> label {
    font-size: 2.8rem;
    font-weight: 600;
}
.container > form > input[type="search"] {
    width: 100%;
    padding: 8px;
    margin: 12px 0;
    display: block;
    border: 0;
    background-color: #fff;
    border: 1px solid var(--text-color);
}

.container>form > input:not([type="search"]) {
    border: 0;
    background: none;
    padding: 8px;
    border: 1px solid var(--text-color);
} 

.results > h2 {
    font-family: var(--font-family);
    color: var(--text-color);
    font-weight: 500;
    font-size: 2rem;
}

.weather-rendered > * {
    font-family: var(--font-family);
    color: var(--text-color);
}

.weather-rendered > h2 {
    font-weight: 500;
    font-size: 4rem;
}

@supports (font-variation-settings: "wght" 500) {
    .weather-rendered>h2 {
            font-weight: 500;
        }
}

.weather-rendered > .card {
    background-color: rgba(252, 251, 239, 0.2);
    padding: 24px;
    border-radius: 16px;
    border: 1px solid rgba(var(--text-color-rgb), 0.4);
}

.weather-rendered>.card {
    display: flex;
    flex-direction: column;
}
@media screen and (min-width: 768px) {
    .weather-rendered>.card {
            flex-direction: row;
            justify-content: space-around;
        }
}
.weather-rendered>.card>p {
    font-size: 2.6rem;
}
.weather-rendered>.card > p span {
    display: block;
    font-weight: 300;
    font-size: 1.6rem;
}
.weather-rendered>.card>p span.unit {
    display: inline-block;
    margin: 0 4px;
    vertical-align: middle;
}
@media screen and (min-width: 768px) {
    .weather-rendered>.card>p {
        text-align: center;
    }
}

.weather-rendered> div + div {
    margin-top: 16px;
}

    .weather-rendered>.main-info {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(2, 1fr);
        gap: 16px;
    }
@media screen and (min-width: 768px) {
    .weather-rendered>.main-info>p {
        text-align: left;
    }
}

    .weather-rendered>.main-info>.main--icon {
        grid-row: 1 / 3;
        align-self: center;
        justify-self: center;
    }

.weather-rendered > .main-info > .main--icon > img {
    width: 320px;
    max-width: 100%;
    height: auto;
}